@font-face {
  font-family: "Averta Std";
  src: url("../fonts/averta/AvertaStd-Black.woff2") format("woff2"),
    url("../fonts/averta/AvertaStd-Black.woff") format("woff");
  font-weight: 500;
  font-style: normal;
  font-display: swap;
}

@font-face {
  font-family: "Averta Std";
  src: url("../fonts/averta/AvertaStd-Light.woff2") format("woff2"),
    url("../fonts/averta/AvertaStd-Light.woff") format("woff");
  font-weight: 400;
  font-style: normal;
  font-display: swap;
}

@font-face {
  font-family: "Averta Std";
  src: url("../fonts/averta/AvertaStd-Bold.woff2") format("woff2"),
    url("../fonts/averta/AvertaStd-Bold.woff") format("woff");
  font-weight: bold;
  font-style: normal;
  font-display: swap;
}

/* Center your main hero text & button */
#hero-section {
  position: relative;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  perspective: 100rem;

  background-color: #f9fafb;

  width: 100dvw;
  max-width: 100dvw;
  /* height: calc(100dvh - var(--header-height));  */
  min-height: 35rem;
  height: 100dvh;
  box-sizing: border-box;
}

.hero-section_header-placeholder {
  position: relative;
  z-index: -99999;
  width: 100%;
  min-height: 148px;
}

/* The text-wrapper will only be as big as the .hero-text */
.hero-section_text-wrapper {
  position: relative;
  display: inline-block;
  /* inline-block so it fits snug around the text dimensions */
  text-align: center;

  margin: auto 1.5rem 0.5rem 1.5rem;
  padding: 1.5rem 3rem;
}

/* The canvas inside .text-wrapper should fill that container exactly */
.hero-section_text-wrapper canvas {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  /* background: transparent; */
  background: #39aed8;
  z-index: 0; /* behind the text if both are visible at once */

  cursor: default !important;
}

/* The .hero-text can remain as is (with clamp, transforms, etc.) */
.hero-section_text {
  font-family: "Averta Std";
  font-size: clamp(3rem, 10vw, 12.5rem) !important;
  white-space: nowrap;
  word-wrap: unset;
  color: #39aed8;
  text-align: center;
  /* margin: 0.5em 0; */
  transform-style: preserve-3d;
  backface-visibility: hidden;
  transform-origin: center center;
  line-height: 1.1;
  font-weight: 500;
  letter-spacing: -0.8px;
  opacity: 0;
  margin: 0;
}

.hero-section_services_wrapper {
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: center;
  gap: 2rem;
  margin: 0.75rem 2.25rem 1.25rem 2.25rem;
}

.hero-section_services_wrapper h2 {
  font-size: clamp(1.25rem, 1.5rem, 2.5rem) !important;
  font-weight: 400;
  color: #fff;
  margin: 0;

  transform: translateY(2rem);
  opacity: 0;

  cursor: default; /* Remove text 'I' cursor */
  user-select: none; /* Prevent text from being selected */
}

.hero-section_services_list {
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: center;
  gap: 2rem;
  margin: 0;
}

.hero-section_services_list-item {
  font-family: "AvertaStd";
  font-size: clamp(1.25rem, 1.5rem, 2.5rem) !important;
  font-weight: 700;
  color: #fff;
  white-space: nowrap;

  transform: translateY(2rem);
  opacity: 0;

  cursor: default; /* Remove text 'I' cursor */
  user-select: none; /* Prevent text from being selected */
}

.hero-section_btn_wrapper {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: space-between;
  gap: 2rem;

  margin: 1.25rem 0 auto 0;
}

/* Button starts 60px below and invisible */
#hero-section_btn {
  width: 9.375rem;
  height: 9.375rem;
  border-radius: 50%;

  letter-spacing: -0.8px;
  font-size: 1.25rem;

  background-color: #000;
  color: white;
  cursor: pointer;

  /* Move it down and hide it */
  transform: translateY(10rem);
  opacity: 0;

  /* remove default */
  border: 2px solid #000;
  outline: none;
  -webkit-tap-highlight-color: transparent;
}

/* remove browsers default styles on  btn press   */
#hero-section_btn,
#hero-section_btn:focus,
#hero-section_btn:hover,
#hero-section_btn:active,
#hero-section_btn:focus-visible,
#hero-section_btn:-moz-focusring {
  outline: none !important; /* remove outline on all states */
  box-shadow: none !important; /* remove box-shadow in browsers like Chrome */
  -webkit-appearance: none; /* remove default styling in Safari/Chrome */
  -moz-appearance: none; /* remove default styling in Firefox */
}

#hero-section_btn:focus,
#hero-section_btn:hover,
#hero-section_btn:active {
  background-color: transparent;
  color: #000;
  transition: background-color 0.3s, color 0.3s;
}

/* Firefox adds extra focus border/padding inside a button */
#hero-section_btn::-moz-focus-inner {
  border: 0 !important;
  padding: 0 !important;
}

.hero-section_arrow {
  height: 3rem;
  width: 3rem;
  /* Move it down and hide it */
  transform: translateY(12rem);
  opacity: 0;
}

/* Header starts 60px above and invisible */
#masthead {
  /* width: 100%;
  text-align: center;
  font-size: 1.5rem;
  padding: 1rem;
  background-color: #ffffff;
  box-shadow: 0 0 5px rgba(0, 0, 0, 0.1); */

  /* Move it up and hide it */
  transform: translateY(100px);
  opacity: 0;
  visibility: hidden;
  z-index: 10;
}

@media screen and (min-width: 900px) and (max-height: 580px) {
  .hero-section_text {
    font-size: clamp(3rem, 8vw, 12.5rem) !important;
  }
}

@media screen and (max-width: 1024px) {
}

@media screen and (max-width: 959px) {
  .hero-section_header-placeholder {
    min-height: 64px;
  }

  .hero-section_services_wrapper {
    gap: 1rem;
  }

  .hero-section_services_list {
    gap: 1rem;
  }
}

@media screen and (max-width: 850px) {
  .hero-section_services_wrapper {
    flex-direction: column;
    gap: 0.75rem;
  }
}

@media screen and (max-width: 768px) {
  .hero-section_services_list {
    flex-wrap: wrap;
    gap: 0.75rem;
  }

  .hero-section_btn_wrapper {
    gap: 1.125rem;
  }

  .hero-section_services_wrapper h2,
  .hero-section_services_list-item {
    font-size: 1.125rem !important;
  }

  #hero-section_btn {
    width: 7.5rem;
    height: 7.5rem;
    font-size: 1.125rem;
  }
}

@media screen and (max-width: 480px) {
  .hero-section_text-wrapper {
    padding: 1.5rem;
  }
}

@media screen and (min-width: 900px) and (max-height: 580px) {
  .hero-section_header-placeholder {
    min-height: 120px;
  }

  .hero-section_text {
    font-size: clamp(2.5rem, 8vw, 12.5rem) !important;
  }

  #hero-section_btn {
    width: 7.5rem;
    height: 7.5rem;
    font-size: 1.125rem;
  }
}
